textures/rednblue_ub3rpro/rnb_sky
{
	qer_editorimage textures/rednblue_ub3rpro/rnb_red.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_sun 1 1 0.5 550 30 860
	skyparms full 512 -
	{
		map textures/rednblue_ub3rpro/rnb_blue.jpg 
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
	}
	{
		map textures/rednblue_ub3rpro/rnb_red.jpg
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}

textures/rednblue_ub3rpro/rnb_red_wall
{
	surfaceparm nodamage
	qer_editorimage textures/rednblue_ub3rpro/rnb_red_tint.jpg
	{
		map textures/rednblue_ub3rpro/rnb_red_tint.jpg
		tcGen environment
	}
	{
		map textures/rednblue_ub3rpro/rnb_wall.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcmod scale 2 2
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rednblue_ub3rpro/rnb_blue_wall
{
	surfaceparm nodamage
	qer_editorimage textures/rednblue_ub3rpro/rnb_blue_tint.jpg
	{
		map textures/rednblue_ub3rpro/rnb_blue_tint.jpg
		tcGen environment
	}
	{
		map textures/rednblue_ub3rpro/rnb_wall.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcmod scale 2 2
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rednblue_ub3rpro/rnb_water
    {
        qer_editorimage textures/rednblue_ub3rpro/pool3d_5.tga
        qer_trans .5
		q3map_fancywater .4 1 1 1
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        surfaceparm nolightmap
        cull disable
        deformVertexes wave 64 sin .5 .5 0 .5  
		{ 
            map textures/rednblue_ub3rpro/water1.tga
            blendFunc blend
            rgbgen identity
			alphagen const 0.23
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }
		{ 
            map textures/rednblue_ub3rpro/water3.tga
            blendFunc gl_src_alpha gl_one
            rgbgen identity
			alphagen const 0.1
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }		
        { 
            map textures/rednblue_ub3rpro/pool3d_5.tga
            blendFunc gl_src_alpha gl_one
            rgbgen identity
			alphagen const 0.2
            tcmod scale .5 .5
            tcmod transform 1.5 0 1.5 1 1 2
            tcmod scroll -.05 .001
        }
        { 
            map textures/rednblue_ub3rpro/pool3d_6.tga
            blendfunc gl_src_alpha gl_one
            rgbgen identity
			alphagen const 0.2
            tcmod scale .5 .5
            tcmod transform 0 1.5 1 1.5 2 1
            tcmod scroll .025 -.001
        }
        { 
            map textures/rednblue_ub3rpro/pool3d_3.tga
            blendFunc gl_src_alpha gl_one
            rgbgen identity
			alphagen const 0.2
            tcmod scale .25 .5
            tcmod scroll .001 .025
        }
        {
            map $lightmap
            blendFunc GL_dst_color GL_zero
            rgbgen identity        
        }
}

textures/rednblue_ub3rpro/rnb_nowj
{
    qer_editorimage textures/rednblue_ub3rpro/rnb_grey_wall.jpg
    surfaceparm slick
    surfaceparm nodamage
    {
        map $lightmap
    }
    //q3map_styleMarker
    {
        map textures/rednblue_ub3rpro/rnb_grey_wall.jpg
	blendFunc GL_DST_COLOR GL_ZERO
    }	
}

textures/rednblue_ub3rpro/rnb_red_no_wj
{
	surfaceparm nodamage
	surfaceparm slick
	qer_editorimage textures/rednblue_ub3rpro/rnb_red_tint.jpg
	{
		map textures/rednblue_ub3rpro/rnb_red_tint.jpg
		tcGen environment
	}
	{
		map textures/rednblue_ub3rpro/rnb_wall.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcmod scale 2 2
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/rednblue_ub3rpro/rnb_blue_no_wj
{
	surfaceparm nodamage
	surfaceparm slick
	qer_editorimage textures/rednblue_ub3rpro/rnb_blue_tint.jpg
	{
		map textures/rednblue_ub3rpro/rnb_blue_tint.jpg
		tcGen environment
	}
	{
		map textures/rednblue_ub3rpro/rnb_wall.jpg
		blendFunc GL_ONE GL_ONE
		rgbGen identity
		tcmod scale 2 2
	}
	{
		map $lightmap
		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}